using Autofac;
using e_suite.API.Common;
using e_suite.API.Common.repository;
using e_suite.DependencyInjection;
using e_suite.Modules.ExceptionLogManager.Repository;

namespace e_suite.Modules.ExceptionLogManager;

public class IocRegistration : IIocRegistration
{
    public void RegisterTypes(ContainerBuilder builder)
    {
        builder.RegisterType<ExceptionLogger>().As<IExceptionLogManager>().InstancePerLifetimeScope();
        builder.RegisterType<ExceptionLogRepository>().As<IExceptionLogRepository>().InstancePerLifetimeScope();
    }
}
